List Transactions on Card
https://sandboxapi.onbrails.com/api/v2/virtualcards/transactions (opens in a new tab)
List all card transactions under your business
Query Params
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | integer | Number of results to return (default 50, max 100) | |
| nextCursor | string | Cursor for the next page of results | |
| prevCursor | string | Cursor for the previous page of results |
Request
Virtual Cards/List Transactions on Card [GET]
curl --request GET \
--url https://sandboxapi.onbrails.com/api/v2/virtualcards/transactions \
--header 'Authorization: Bearer API-KEY' \
--header 'accept: application/json'Responses
🟢 200 - Result example
{
"status": true,
"message": "successfully fetched all virtual card transactions",
"data": {
"cardTransactions": [
{
"id": "92bc66d5-186c-4092-be17-ac80e13de82b",
"createdAt": "2022-12-20T09:29:08.167Z",
"updatedAt": "2022-12-20T09:29:14.460Z",
"amount": "500",
"centAmount": "500",
"type": "credit",
"method": "topup",
"narrative": null,
"status": "success",
"currency": "usd",
"reference": "testing22",
"cardId": "4f644a2c-3c4f-48c7-a3fa-e896b544d546"
},
{
"id": "5fd09fd0-0069-46a5-b906-9a02d443ec0f",
"createdAt": "2022-12-16T17:33:12.083Z",
"updatedAt": "2022-12-16T17:33:18.115Z",
"amount": "5",
"centAmount": "500",
"type": "credit",
"method": "topup",
"narrative": null,
"status": "success",
"currency": "usd",
"reference": "testing",
"cardId": "fc9fb3c8-26fc-41d8-8ad0-af6981199683"
},
{
"id": "68c53022-b1ce-4b5b-917b-15819f1725a3",
"createdAt": "2022-12-16T17:15:44.784Z",
"updatedAt": "2022-12-16T17:15:48.077Z",
"amount": "10",
"centAmount": "1000",
"type": "credit",
"method": "topup",
"narrative": null,
"status": "success",
"currency": "usd",
"reference": "iurwirywert",
"cardId": "5a866a67-6c7a-4a82-8140-4d480085a54a"
},
{
"id": "809aeae1-c64f-4ed1-9c68-4f43f0b0f167",
"createdAt": "2022-12-16T17:09:42.675Z",
"updatedAt": "2022-12-16T17:09:46.338Z",
"amount": "10",
"centAmount": "1000",
"type": "credit",
"method": "topup",
"narrative": null,
"status": "success",
"currency": "usd",
"reference": "kddjfoidyyyde2dsr",
"cardId": "5a866a67-6c7a-4a82-8140-4d480085a54a"
},
],
"meta": {
"limit": 50,
"nextCursor": "eyJpZCI6IjQyYWE2ZDMwLWI1NGMtNGU4NC04MjJhLWM3NGQ5YWE1M2MwNCJ9",
"prevCursor": null,
"hasNextPage": true,
"hasPreviousPage": false
}
}
}